VERSION 5.00
Begin VB.Form frmRadlim 
   Caption         =   "Radius Limiting"
   ClientHeight    =   2685
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4455
   LinkTopic       =   "Form1"
   Picture         =   "frmRadlim.frx":0000
   ScaleHeight     =   2685
   ScaleWidth      =   4455
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame1 
      BackColor       =   &H00BAC5BA&
      Caption         =   "Distance"
      Height          =   795
      Left            =   630
      TabIndex        =   8
      Top             =   75
      Width           =   3030
      Begin VB.OptionButton optM 
         Alignment       =   1  'Right Justify
         BackColor       =   &H00BAC5BA&
         Caption         =   "Miles"
         Height          =   195
         Left            =   1590
         TabIndex        =   12
         Top             =   210
         Width           =   1125
      End
      Begin VB.OptionButton optK 
         Alignment       =   1  'Right Justify
         BackColor       =   &H00BAC5BA&
         Caption         =   "Kilometres"
         Height          =   210
         Left            =   315
         TabIndex        =   11
         Top             =   195
         Value           =   -1  'True
         Width           =   1080
      End
      Begin VB.TextBox txtrad 
         BackColor       =   &H00E1ECE1&
         Height          =   285
         Left            =   1515
         TabIndex        =   9
         Text            =   "1.5"
         Top             =   450
         Width           =   585
      End
      Begin VB.Label Label1 
         BackColor       =   &H00DBF1D6&
         BackStyle       =   0  'Transparent
         Caption         =   "Radius"
         Height          =   195
         Left            =   630
         TabIndex        =   10
         Top             =   465
         Width           =   1110
      End
   End
   Begin VB.TextBox txtRadPath 
      BackColor       =   &H00E1ECE1&
      Height          =   285
      Left            =   480
      TabIndex        =   2
      Top             =   1800
      Width           =   3465
   End
   Begin VB.CommandButton cmdRadcan 
      BackColor       =   &H00DBF1D6&
      Caption         =   "Cancel"
      Height          =   330
      Left            =   3150
      Style           =   1  'Graphical
      TabIndex        =   4
      Top             =   2295
      Width           =   1200
   End
   Begin VB.CommandButton cmdRadact 
      BackColor       =   &H00DBF1D6&
      Caption         =   "Action"
      Height          =   345
      Left            =   90
      Style           =   1  'Graphical
      TabIndex        =   3
      Top             =   2265
      Width           =   1110
   End
   Begin VB.TextBox txtRadLon 
      BackColor       =   &H00E1ECE1&
      Height          =   315
      Left            =   2325
      TabIndex        =   1
      Text            =   "0.0"
      Top             =   1170
      Width           =   1620
   End
   Begin VB.TextBox txtRadLat 
      BackColor       =   &H00E1ECE1&
      Height          =   315
      Left            =   495
      TabIndex        =   0
      Text            =   "0.0"
      Top             =   1155
      Width           =   1620
   End
   Begin VB.Label Label4 
      BackColor       =   &H00DBF1D6&
      BackStyle       =   0  'Transparent
      Caption         =   "Path and filename for new database"
      Height          =   225
      Left            =   975
      TabIndex        =   7
      Top             =   1590
      Width           =   2580
   End
   Begin VB.Label Label3 
      BackColor       =   &H00DBF1D6&
      BackStyle       =   0  'Transparent
      Caption         =   "Decimal Longditude"
      Height          =   225
      Left            =   2325
      TabIndex        =   6
      Top             =   930
      Width           =   1635
   End
   Begin VB.Label Label2 
      BackColor       =   &H00DBF1D6&
      BackStyle       =   0  'Transparent
      Caption         =   "Decimal Latitude"
      Height          =   180
      Left            =   495
      TabIndex        =   5
      Top             =   915
      Width           =   1665
   End
End
Attribute VB_Name = "frmRadlim"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public Cancel As Boolean
Public Done As Boolean
Public RadLat As Currency
Public RadLon As Currency
Public RadRad
Public RadPath As String

Private Sub cmdRadact_Click()
If txtRadPath.Text = "" Then
  MsgBox "You must enter a Path and filename for the new Database"
  txtRadPath.SetFocus
  Exit Sub
End If
If (IsNumeric(txtRadLat.Text) = False) Or (Abs(Val(txtRadLat.Text)) > 90) Then
   MsgBox "Latitude must numeric and be in the range (+-) 0.0 -> 90.0"
   txtRadLat.SetFocus
   Exit Sub
End If
If Not ((IsNumeric(txtRadLon.Text) = True) Or (Abs(Val(txtRadLon.Text)) > 180)) Then
  MsgBox "Longditude must be in the range (+-) 0.0 -> 180"
  txtRadLon.SetFocus
  Exit Sub
End If
If (IsNumeric(txtrad.Text) = False) Then
   MsgBox "Radius must be numeric"
   txtrad.SetFocus
   Exit Sub
End If
If optK Then
   txtrad.Text = txtrad.Text & "K"
Else
   txtrad.Text = txtrad.Text & "M"
End If
RadLat = txtRadLat.Text
RadLon = txtRadLon.Text
RadRad = txtrad.Text
RadPath = txtRadPath
Done = True
frmRadlim.Hide
Unload frmRadlim
End Sub

Private Sub cmdRadcan_Click()
frmRadlim.Hide
Unload frmRadlim
Cancel = True
Done = True
End Sub

Private Sub Form_Load()
Done = False
Cancel = False
End Sub
