VERSION 5.00
Begin VB.Form frmRoutelim 
   Caption         =   "Route Limiting"
   ClientHeight    =   2895
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4860
   LinkTopic       =   "Form1"
   Picture         =   "frmRoutelim.frx":0000
   ScaleHeight     =   2895
   ScaleWidth      =   4860
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame1 
      BackColor       =   &H00BAC5BA&
      Caption         =   "Distances"
      ClipControls    =   0   'False
      Height          =   1200
      Left            =   195
      TabIndex        =   9
      Top             =   615
      Width           =   4500
      Begin VB.OptionButton optM 
         Alignment       =   1  'Right Justify
         BackColor       =   &H00BAC5BA&
         Caption         =   "Miles"
         Height          =   270
         Left            =   2490
         TabIndex        =   13
         Top             =   210
         Width           =   765
      End
      Begin VB.OptionButton optK 
         Alignment       =   1  'Right Justify
         BackColor       =   &H00BAC5BA&
         Caption         =   "Kilometres"
         Height          =   285
         Left            =   1215
         TabIndex        =   12
         Top             =   195
         Value           =   -1  'True
         Width           =   1110
      End
      Begin VB.TextBox txtRoErr 
         BackColor       =   &H00E1ECE1&
         Height          =   300
         Left            =   1260
         TabIndex        =   2
         Text            =   "0.25"
         ToolTipText     =   "The route must first be simplified. This is the max allowable deviation from the original route in Kilometres/Miles."
         Top             =   705
         Width           =   585
      End
      Begin VB.TextBox txtWidth 
         BackColor       =   &H00E1ECE1&
         Height          =   300
         Left            =   3810
         TabIndex        =   3
         Text            =   "2.0"
         ToolTipText     =   "Limit resultant DB to Poi this distance from the route centreline."
         Top             =   705
         Width           =   525
      End
      Begin VB.Label Label2 
         BackStyle       =   0  'Transparent
         Caption         =   "Allowable cross track error"
         Height          =   375
         Left            =   105
         TabIndex        =   11
         Top             =   645
         Width           =   1230
      End
      Begin VB.Label Label3 
         BackStyle       =   0  'Transparent
         Caption         =   "Distance from centreline. ie 1/2 Width of Poi Band"
         Height          =   420
         Left            =   1980
         TabIndex        =   10
         Top             =   645
         Width           =   1830
      End
   End
   Begin VB.CommandButton Command1 
      Height          =   345
      Left            =   4275
      Picture         =   "frmRoutelim.frx":19147
      Style           =   1  'Graphical
      TabIndex        =   0
      Top             =   255
      Width           =   450
   End
   Begin VB.CommandButton cmdCanRoute 
      BackColor       =   &H00DBF1D6&
      Caption         =   "Cancel"
      Height          =   330
      Left            =   3750
      Style           =   1  'Graphical
      TabIndex        =   7
      Top             =   2535
      Width           =   1095
   End
   Begin VB.CommandButton cmdDoRoute 
      BackColor       =   &H00DBF1D6&
      Caption         =   "Action"
      Height          =   330
      Left            =   75
      Style           =   1  'Graphical
      TabIndex        =   6
      Top             =   2535
      Width           =   1020
   End
   Begin VB.TextBox txtRouteFile 
      BackColor       =   &H00E1ECE1&
      Height          =   330
      Left            =   210
      TabIndex        =   1
      Top             =   225
      Width           =   3975
   End
   Begin VB.TextBox txtRoDbPath 
      BackColor       =   &H00E1ECE1&
      Height          =   330
      Left            =   225
      TabIndex        =   5
      Top             =   2100
      Width           =   4005
   End
   Begin VB.Label Label4 
      BackStyle       =   0  'Transparent
      Caption         =   "Path and filename for resultant database."
      Height          =   240
      Left            =   240
      TabIndex        =   8
      Top             =   1905
      Width           =   3345
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Route file"
      Height          =   210
      Left            =   225
      TabIndex        =   4
      Top             =   30
      Width           =   2070
   End
End
Attribute VB_Name = "frmRoutelim"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public Cancel As Boolean
Public Done As Boolean
Public Route
Public DBase
Public Xtrack
Public RWidth
Private Sub cmdCanRoute_Click()
frmRoutelim.Hide
Unload frmRoutelim
Cancel = True
Done = True
End Sub


Public Sub cmdDoRoute_Click()

If Not ((txtRouteFile.Text <> "") And (UCase(txtRouteFile.Text) Like "*.GPX")) Then
   MsgBox "A route file in the format filename.gpx is required."
   txtRouteFile.SetFocus
   Exit Sub
End If
If txtRoDbPath.Text = "" Then
   MsgBox "A Path and filename ie: " & vbCrLf & vbCrLf & Chr(34) & _
       "c:\temp\route" & Chr(34) & " or " & Chr(34) & "c:\temp\route.db" & Chr(34) & vbCrLf & _
        vbCrLf & " for the resultant Database is required!"
   txtRoDbPath.SetFocus
   Exit Sub
End If
If Not (IsNumeric(txtRoErr.Text)) Then
   MsgBox "Cross Track Error must be numeric! "
   txtRoErr.SetFocus
   Exit Sub
End If
If Not (IsNumeric(txtWidth.Text)) Then
   MsgBox "Width of resultant must be numeric! "
   txtWidth.SetFocus
   Exit Sub
End If
If optK Then
   txtRoErr.Text = txtRoErr.Text & "K"
   txtWidth.Text = txtWidth.Text & "K"
Else
   txtRoErr.Text = txtRoErr.Text & "M"
   txtWidth.Text = txtWidth.Text & "M"
End If
Done = True
Route = txtRouteFile.Text
DBase = txtRoDbPath.Text
Xtrack = txtRoErr.Text
RWidth = txtWidth.Text
frmRoutelim.Hide

End Sub

Private Sub Command1_Click()
Dim tmp, tmp1
frmMain.open_file "All Files (*.*)|*.*|Route Files (*.gpx)|*.gpx|"
txtRouteFile.Text = frmMain.cdlCommon.FileName
DoEvents
If txtRouteFile.Text <> "" Then
    frmMain.cdlCommon.FileName = ""
Else
    Exit Sub
End If
End Sub

Private Sub Form_Load()
Done = False
Cancel = False
End Sub

